Subject: Linux-Activists - DOC Channel digest. 94-9-11-22:45
From: "Linux Activists" <[email-masked]>
To: "Linux-Activists" <[email-masked]>
Date: Wed, 12 Oct 1994 05:02:45 +0200

Topics:
	 sigaction() support? doc?

----------------------------------------------------------------------

From: "Daniel W. Connolly" <[email-masked]>
Subject: sigaction() support? doc?
Date: Tue, 11 Oct 1994 15:13:50 -0500

I posted this to comp.os.linux.development, but I got no response.  I
plan to have something to contribute in return for this information,
so I hope you don't mind this redistribution...

Dan

p.s. Where can I find an up-to-date archive of the linux-activists
mailing list? the one on tsx-11 only contains stuff up to Dec 1993.
I'd like to keep up to date on the 1.2 release process.

------- Forwarded Message

Newsgroups: comp.os.linux.development,comp.lang.modula3
Subject: sigaction() support? doc?

I'm working on the Modula-3 runtime for linux, trying to get
the VM-synchronized garbage collector to work.

I started with the SPARC based code, which uses sigvec().
The man page for sigvec() says to use sigation(). (There's
no sigvec() symbol in libc...)

The SPARC based code seems to think that signal handlers have a
signature like:

(* Signal vector "template" used in sigvec call. *)
TYPE
  SignalHandler =
    PROCEDURE
      (sig, code: int; scp: UNTRACED REF struct_sigcontext; addr: ADDRESS);

in C, that would be:

	typedef int SignalHandler(int, int, struct sigcontext*, void*);

The LINUX code in the release says signal handers look like:

  SignalHandler =
    PROCEDURE (sig: int);

The M3 runtime makes use of the addr paramater. Is it supported
in LINUX? (I'm using 1.1.45)

The sigaction(2) man page says:

DESCRIPTION
       WARNING: This man page is very old.

Is there a more recent man page? I tried reading the kernel source,
but I'm new to intel assembly, and I couldn't make out just what
goes on the stack for a signal handler in setup_frame() in
linux/kernel/signal.c

Hmmm.. the comments make reference to iBCS2 support. Does this
mean I might find my answer in the ELF documentation?

How about POSIX... I haven't checked there, but I can't imagine
they specify this level of detail for sigaction().

Ideas?

Dan

------- End of Forwarded Message

------------------------------

End of DOC Digest
*****************
-------